[Darshan-commits] [Darshan] branch, dev-modular, updated. darshan-2.3.1-99-g233f160

Service Account git at mcs.anl.gov
Tue Apr 7 12:24:49 CDT 2015


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "".

The branch, dev-modular has been updated
       via  233f1607498e8197f127a5b2712f1593e752ae28 (commit)
       via  96df671a91a1f0e0dd867943da1fc39cdc002249 (commit)
      from  5a14a88b6155a9af96a8e86da50b420f12f076ab (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 233f1607498e8197f127a5b2712f1593e752ae28
Author: Phil Carns <carns at mcs.anl.gov>
Date:   Tue Apr 7 12:50:07 2015 -0400

    mpi counter checks for fperf regression

commit 96df671a91a1f0e0dd867943da1fc39cdc002249
Author: Phil Carns <carns at mcs.anl.gov>
Date:   Tue Apr 7 12:46:41 2015 -0400

    check mpi counters in mpi-io-test regression

-----------------------------------------------------------------------

Summary of changes:
 darshan-test/regression/test-cases/fperf-f77.sh   |   22 +++++++++++---------
 darshan-test/regression/test-cases/fperf-f90.sh   |   22 +++++++++++---------
 darshan-test/regression/test-cases/mpi-io-test.sh |   21 +++++++++----------
 3 files changed, 34 insertions(+), 31 deletions(-)


Diff of changes:
diff --git a/darshan-test/regression/test-cases/fperf-f77.sh b/darshan-test/regression/test-cases/fperf-f77.sh
index 06bb283..7159572 100755
--- a/darshan-test/regression/test-cases/fperf-f77.sh
+++ b/darshan-test/regression/test-cases/fperf-f77.sh
@@ -26,24 +26,26 @@ if [ $? -ne 0 ]; then
     echo "Error: failed to parse ${DARSHAN_LOGFILE}" 1>&2
     exit 1
 fi
+$DARSHAN_PATH/bin/darshan-mpiio-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}-mpiio.darshan.txt
+if [ $? -ne 0 ]; then
+    echo "Error: failed to parse ${DARSHAN_LOGFILE}" 1>&2
+    exit 1
+fi
+
 
 # check results
 # in this case we want to confirm that both the MPI and POSIX open counters were triggered
-#MPI_OPENS=`grep CP_COLL_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -f 4`
-#if [ ! $MPI_OPENS -gt 0 ]; then
-#    echo "Error: MPI open count of $MPI_OPENS is incorrect" 1>&2
-#    exit 1
-#fi
-#POSIX_OPENS=`grep CP_POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -f 4`
-#if [ ! $POSIX_OPENS -gt 0 ]; then
-#    echo "Error: POSIX open count of $POSIX_OPENS is incorrect" 1>&2
-#    exit 1
-#fi
 POSIX_OPENS=`grep POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -d : -f 2 |xargs`
 if [ ! $POSIX_OPENS -gt 0 ]; then
     echo "Error: POSIX open count of $POSIX_OPENS is incorrect" 1>&2
     exit 1
 fi
+MPI_OPENS=`grep COLL_OPENS $DARSHAN_TMP/${PROG}-mpiio.darshan.txt |cut -d : -f 2 |xargs`
+if [ ! $MPI_OPENS -gt 0 ]; then
+    echo "Error: MPI open count of $MPI_OPENS is incorrect" 1>&2
+    exit 1
+fi
+
 
 
 exit 0
diff --git a/darshan-test/regression/test-cases/fperf-f90.sh b/darshan-test/regression/test-cases/fperf-f90.sh
index 50b2103..0bdf420 100755
--- a/darshan-test/regression/test-cases/fperf-f90.sh
+++ b/darshan-test/regression/test-cases/fperf-f90.sh
@@ -26,24 +26,26 @@ if [ $? -ne 0 ]; then
     echo "Error: failed to parse ${DARSHAN_LOGFILE}" 1>&2
     exit 1
 fi
+$DARSHAN_PATH/bin/darshan-mpiio-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}-mpiio.darshan.txt
+if [ $? -ne 0 ]; then
+    echo "Error: failed to parse ${DARSHAN_LOGFILE}" 1>&2
+    exit 1
+fi
+
 
 # check results
 # in this case we want to confirm that both the MPI and POSIX open counters were triggered
-#MPI_OPENS=`grep CP_COLL_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -f 4`
-#if [ ! $MPI_OPENS -gt 0 ]; then
-#    echo "Error: MPI open count of $MPI_OPENS is incorrect" 1>&2
-#    exit 1
-#fi
-#POSIX_OPENS=`grep CP_POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -f 4`
-#if [ ! $POSIX_OPENS -gt 0 ]; then
-#    echo "Error: POSIX open count of $POSIX_OPENS is incorrect" 1>&2
-#    exit 1
-#fi
 POSIX_OPENS=`grep POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -d : -f 2 |xargs`
 if [ ! $POSIX_OPENS -gt 0 ]; then
     echo "Error: POSIX open count of $POSIX_OPENS is incorrect" 1>&2
     exit 1
 fi
+MPI_OPENS=`grep COLL_OPENS $DARSHAN_TMP/${PROG}-mpiio.darshan.txt |cut -d : -f 2 |xargs`
+if [ ! $MPI_OPENS -gt 0 ]; then
+    echo "Error: MPI open count of $MPI_OPENS is incorrect" 1>&2
+    exit 1
+fi
+
 
 
 exit 0
diff --git a/darshan-test/regression/test-cases/mpi-io-test.sh b/darshan-test/regression/test-cases/mpi-io-test.sh
index 67472ca..63d04b0 100755
--- a/darshan-test/regression/test-cases/mpi-io-test.sh
+++ b/darshan-test/regression/test-cases/mpi-io-test.sh
@@ -26,25 +26,24 @@ if [ $? -ne 0 ]; then
     echo "Error: failed to parse ${DARSHAN_LOGFILE}" 1>&2
     exit 1
 fi
+$DARSHAN_PATH/bin/darshan-mpiio-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}-mpiio.darshan.txt
+if [ $? -ne 0 ]; then
+    echo "Error: failed to parse ${DARSHAN_LOGFILE}" 1>&2
+    exit 1
+fi
 
 # check results
 # in this case we want to confirm that both the MPI and POSIX open counters were triggered
-#MPI_OPENS=`grep CP_INDEP_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -f 4`
-#if [ ! $MPI_OPENS -gt 0 ]; then
-#    echo "Error: MPI open count of $MPI_OPENS is incorrect" 1>&2
-#    exit 1
-#fi
-#POSIX_OPENS=`grep CP_POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -f 4`
-#if [ ! $POSIX_OPENS -gt 0 ]; then
-#    echo "Error: POSIX open count of $POSIX_OPENS is incorrect" 1>&2
-#    exit 1
-#fi
 POSIX_OPENS=`grep POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -d : -f 2 |xargs`
 if [ ! $POSIX_OPENS -gt 0 ]; then
     echo "Error: POSIX open count of $POSIX_OPENS is incorrect" 1>&2
     exit 1
 fi
-
+MPI_OPENS=`grep INDEP_OPENS $DARSHAN_TMP/${PROG}-mpiio.darshan.txt |cut -d : -f 2 |xargs`
+if [ ! $MPI_OPENS -gt 0 ]; then
+    echo "Error: MPI open count of $MPI_OPENS is incorrect" 1>&2
+    exit 1
+fi
 
 
 exit 0


hooks/post-receive
--



More information about the Darshan-commits mailing list